package com.cyksj.service.order;

import com.cyksj.model.entity.GoodsDonSku;
import com.cyksj.model.entity.OrderDon;
import com.cyksj.model.manage.views.GroupsRelationView;
import com.cyksj.model.views.UserAvailableGoodsTicketView;

import java.util.List;

/*
 *项目名: netflix
 *文件名: UserRealOrderBenefitsService
 *创建者: JavaZou
 *创建时间:2023/3/7 14:54
 */
public interface UserRealOrderBenefitsService {

	/**
	 * 获取购买实物权益
	 */
	Boolean getPayRealGoodsBenefits(Long userId, Long orderId, Long yhsId, List<GoodsDonSku> skuIds);

	/**
	 * 扣除实物权益
	 */
	void deductUserRealGoodsBenefits(Long orderId);

	/**
	 * 领取实物权益
	 */
	GroupsRelationView receiveRealGoodsBenefits(Long userId, Long benefitsId, Long goodsId, Long skuId, Long relationId);

	/**
	 * 实物权益可选车票
	 */
	List<UserAvailableGoodsTicketView> getAvailableBenefitsTickets(Long userId, Long orderId, String customId, Integer cmt);

	void sendUserBenefitsTicket(OrderDon orderDon, List<GoodsDonSku> goodsDonSkus);
}
